]> _ Git - remote-logging.git/commitdiff
Use sh instead of bash
authormivirl <>
Tue, 16 Jan 2024 23:02:05 +0000 (17:02 -0600)
committermivirl <>
Tue, 16 Jan 2024 23:02:05 +0000 (17:02 -0600)
build.sh

index 7af004ec1774bc4a57dc425eb9c7dd5f65e594d6..08de340936043c7c011ef8b31265085ce8167012 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -1,7 +1,7 @@
-#!/bin/bash
+#!/bin/sh
 # This downloads all dependencies and builds them if needed
 
-set -eou pipefail
+set -e
 
 if command -v apt; then
   sudo apt update || true
@@ -18,8 +18,8 @@ if command -v apt; then
 fi
 
 mkdir -p build/_output
-mkdir build/_output/server
-mkdir build/_output/client
+mkdir -p build/_output/server
+mkdir -p build/_output/client
 cd build/
 
 #wget https://busybox.net/downloads/busybox-1.36.1.tar.bz2